extends CharacterBody2D
class_name PlayerCharacter

# Signals
signal SitOnFurnitureTriggered(sitting_position: Vector2, sitting_direction: Enums.Directions)

# Exports
@export var player_sprite: PlayerSprite
@export var state_machine: PlayerStateMachine
@export var interact_scanner: InteractScanner

# Public Methods
func QueueCutsceneState() -> void:
	state_machine.QueueStateChange(PlayerStateMachine.States.CUTSCENE)


func QueueEndCutsceneState() -> void:
	state_machine.QueueStateChange(PlayerStateMachine.States.IDLE)
